Bug 825186 - Cannot build cmake 2.8.8-4 on EL6
Cannot build cmake 2.8.8-4 on EL6
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cmake (Show other bugs)
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Petr Machata
Depends On:
  Show dependency treegraph
Reported: 2012-05-25 06:19 EDT by Gregor Jasny
Modified: 2015-05-04 21:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-25 15:09:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gregor Jasny 2012-05-25 06:19:09 EDT
Description of problem:
When I try to compile the latest cmake source rpm from FC18 on my EL6 box, the unit test
193 - CMakeOnly.AllFindModules (Failed)

Steps to Reproduce:
1. wget http://kojipkgs.fedoraproject.org/packages/cmake/2.8.8/4.fc18/src/cmake-2.8.8-4.fc18.src.rpm
2. rpm -ivh cmake-2.8.8-4.fc18.src.rpm
3. rpmbuild -bb cmake.spec

Actual results:
The following tests FAILED:
	193 - CMakeOnly.AllFindModules (Failed)
Errors while running CTest
error: Bad exit status from /uhome/gjasny/tmp/rpm-tmp.Mns3hD (%check)

Expected results:
It would be great if I could use cmake 2.8.8 on RHEL6.

Comment 2 Petr Machata 2012-05-25 15:09:48 EDT
That other cmake version fails to build is hardly a fault of cmake shipped with RHEL 6.  Besides, it seems to work for me:

100% tests passed, 0 tests failed out of 228
Wrote: /home/user/rpmbuild/RPMS/x86_64/cmake-2.8.8-4.el6.x86_64.rpm
$ cat /etc/redhat-release 
Red Hat Enterprise Linux Workstation release 6.3 Beta (Santiago)

Under root, one test fails: CTest.UpdateCVS, but that's because cvs disallows commit for root user.
Comment 3 Petr Machata 2012-06-04 15:22:03 EDT
See bug 828467 where we track the Fedora leg of this problem.  CMake in RHEL 6 doesn't ship FindPostgreSQL.cmake, and therefore it doesn't suffer from that problem.

Note You need to log in before you can comment on or make changes to this bug.